gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[libeufin] 02/02: CLI test: preliminary checks for tools.


From: gnunet
Subject: [libeufin] 02/02: CLI test: preliminary checks for tools.
Date: Thu, 05 Jan 2023 17:19:16 +0100

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository libeufin.

commit 247de271c87fe20ed417b4446a636154aac0c164
Author: MS <ms@taler.net>
AuthorDate: Thu Jan 5 17:18:14 2023 +0100

    CLI test: preliminary checks for tools.
---
 Makefile                | 1 +
 cli/bin/circuit_test.sh | 5 +++++
 2 files changed, 6 insertions(+)

diff --git a/Makefile b/Makefile
index e01ef6fb..842e20c4 100644
--- a/Makefile
+++ b/Makefile
@@ -35,6 +35,7 @@ assemble:
 .PHONY: check
 check:
        @./gradlew check
+       @cd ./cli/bin && ./circuit_test.sh
 
 
 .PHONY: parse
diff --git a/cli/bin/circuit_test.sh b/cli/bin/circuit_test.sh
index b8e10fa3..997351cc 100755
--- a/cli/bin/circuit_test.sh
+++ b/cli/bin/circuit_test.sh
@@ -5,10 +5,15 @@
 
 set -eu
 
+jq --version &> /dev/null || (echo "'jq' command not found"; exit 77)
+curl --version &> /dev/null || (echo "'curl' command not found"; exit 77)
+
 DB_PATH=/tmp/circuit-test.sqlite3
 export LIBEUFIN_SANDBOX_DB_CONNECTION=jdbc:sqlite:$DB_PATH
 export LIBEUFIN_CASHOUT_TEST_TAN=secret-tan
 
+echo TESTING THE CLI SIDE OF THE CIRCUIT API
+
 echo -n Delete previous data..
 rm -f $DB_PATH
 echo DONE

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]